<template>
  <div class="code-main">
    <v-apaas-code url="./static/data.json"></v-apaas-code>
  </div>
</template>

<script>
import codes from "@/components/codes";
export default {
  data() {
    return {};
  },
  components: {
    "v-apaas-code": codes
  },
  mounted: function() {
    // this.init();
  },
  computed: {},
  watch: {
    search: {
      handler() {
        this.getDataFromApiSync();
      },
      deep: true
    },
    namespace: {
      handler() {
        this.getDataFromApiSync();
      },
      deep: true
    }
  },
  methods: {}
};
</script>

<style scoped>
.code-main {
  margin-top: 100px;
}
</style>